OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_Parabola Class Reference

`#include <PGeom_Parabola.hxx>`

Inheritance diagram for PGeom_Parabola:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom_Parabola ()
| Creates a parabola with default values. .
Standard_EXPORT | PGeom_Parabola (const gp_Ax2 &aPosition, const Standard_Real aFocalLength)
| Creates a Parabola with <aposition> and <afocallength> as field values. .
Standard_EXPORT void | FocalLength (const Standard_Real aFocalLength)
| Set the value of the field focalLength with <afocallength>. .
Standard_EXPORT Standard_Real | FocalLength () const
| Retruns the value of the field focalLength. .
| PGeom_Parabola (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_ParabolafocalLength () const
void | _CSFDB_SetPGeom_ParabolafocalLength (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | focalLength

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Parabola::PGeom_Parabola | ( |  | ) |

Standard_EXPORT PGeom_Parabola::PGeom_Parabola | ( | const gp_Ax2 & | aPosition,
|  | const Standard_Real | aFocalLength
| ) |

PGeom_Parabola::PGeom_Parabola | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_Parabola::_CSFDB_GetPGeom_ParabolafocalLength | ( |  | ) | const`[inline]`

void PGeom_Parabola::_CSFDB_SetPGeom_ParabolafocalLength | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Standard_Real PGeom_Parabola::FocalLength | ( |  | ) | const

Standard_EXPORT void PGeom_Parabola::FocalLength | ( | const Standard_Real | aFocalLength | ) |

Standard_EXPORT const PGeom_Parabola::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Conic.

## Field Documentation

Standard_Real PGeom_Parabola::focalLength`[private]`

The documentation for this class was generated from the following file:

- PGeom_Parabola.hxx